#pragma once
#include <string>
#include <filesystem>

namespace dropshelltool {

extern const std::filesystem::path DROPSHELL_RC_PATH;

class BashrcEditor {
public:
    BashrcEditor();
    // Checks if the unique block with the source line exists
    bool hasSourceLine() const;
    // Adds or updates the unique block with the given scriptPath
    void addSourceLine();
    // Removes the unique block
    void removeSourceLine();
}; 

} // namespace dropshelltool